"use strict";

function onCalcClick() {
    // 入力欄から寸法を取得
    let h = getNumber(document.getElementById("inputH").value);
    let b = getNumber(document.getElementById("inputB").value);
    let tw = getNumber(document.getElementById("inputTw").value);
    let tf = getNumber(document.getElementById("inputTf").value);
    let r = getNumber(document.getElementById("inputR").value);
    // インスタンスを作成
    let member = new steelH(h, b, tw, tf, r);
    // 断面性能 A, Ix, Iy を出力 
    document.getElementById("outputA").textContent = roundNumber(member.Area);
    document.getElementById("outputIx").textContent = roundNumber(member.Ix);
    document.getElementById("outputIy").textContent = roundNumber(member.Iy);
    // 入力欄から許容応力度計算用の値を取得
    let lkx = getNumber(document.getElementById("inputLkx").value);
    let lky = getNumber(document.getElementById("inputLky").value);
    let lb = getNumber(document.getElementById("inputLb").value);
    let f = 235; // F値 400N級
    if (document.getElementById("rad490N").checked) f = 325; // 490N級
    // 許容応力度 fc, fb を出力 ( fb の M2/M1 は無視 ) 
    document.getElementById("outputFc").textContent = roundNumber(member.getFc(lkx, lky, f));
    document.getElementById("outputFb").textContent = roundNumber(member.getFb(lb, 0, f));
}
function getNumber(str) {
    // 戻り値: 文字列sを数値に変換した値
    // 文字列が不正な場合は0を返す
    let num = Number(str);
    if (str.length == 0) {
        num = 0;
    } else if (!Number.isFinite(num)) {
        num = 0;
    } else if (num < 0.0) {
        num = 0.0;
    }
    return num;
}
function roundNumber(num) {
    // 戻り値: 値numを出力用に整形した値
    let res = num;
    if (num < 0.1) {
        res = 0;
    } else if (num < 10.0) {
        // 10未満の場合は小数以下2桁
        let n = Math.round(100.0 * num);
        res = n / 100;
    } else if (num < 100.0) {
        // 100未満の場合は小数以下1桁
        let n = Math.round(10.0 * num);
        res = n / 10;
    } else {
        // 100を超える場合は小数以下四捨五入
        res = Math.round(num);
    }
    return res;
}
